<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: vx_node.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>vx_node.h File Reference</h1><hr/><a name="_details"></a><h2>Introduction</h2>
<p>Implementation of Node object. </p>

<p><a href="vx__node_8h_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Structures</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__node__t.html">tivx_node_t</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The internal representation of a node.  <a href="structtivx__node__t.html#_details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__node.html#gaa40301a5bc1bd16df614c3c7eab93feb">ownSetNodeImmTarget</a> (<a class="el" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96">vx_node</a> node)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Set the target for node based on immediate mode target set in context.  <a href="group__group__vx__node.html#gaa40301a5bc1bd16df614c3c7eab93feb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__node.html#ga7a81114a7f3c3c88c3c5645fbf4906cf">ownSetNodeAttributeValidRectReset</a> (<a class="el" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96">vx_node</a> node, <a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a> is_reset)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Set the attribute VX_NODE_VALID_RECT_RESET in node.  <a href="group__group__vx__node.html#ga7a81114a7f3c3c88c3c5645fbf4906cf"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__node.html#ga2cda0c09f0283ba5ae1da465a7854b4a">ownNodeKernelValidate</a> (<a class="el" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96">vx_node</a> node, <a class="el" href="vx__types_8h.html#abfa72c9eff71470a4c96e3cab7dbe838">vx_meta_format</a> meta[])</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Validate user kernel or target kernel associated with this node.  <a href="group__group__vx__node.html#ga2cda0c09f0283ba5ae1da465a7854b4a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__node.html#gabd0685f1f78c0dac0cfc39aa5e7cdd68">ownNodeKernelInit</a> (<a class="el" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96">vx_node</a> node)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Init user kernel or target kernel associated with this node.  <a href="group__group__vx__node.html#gabd0685f1f78c0dac0cfc39aa5e7cdd68"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__node.html#ga2afec8a9f96c76097f76f86f166822ba">ownNodeKernelSchedule</a> (<a class="el" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96">vx_node</a> node)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Schedule user kernel or target kernel associated with this node for execution.  <a href="group__group__vx__node.html#ga2afec8a9f96c76097f76f86f166822ba"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__node.html#gae353287731c9c0fb243a4d158d974068">ownNodeWaitCompletionEvent</a> (<a class="el" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96">vx_node</a> node)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Wait for completion event.  <a href="group__group__vx__node.html#gae353287731c9c0fb243a4d158d974068"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__node.html#gaf7512617962fe1a6c9c7074af841b3d4">ownNodeKernelDeinit</a> (<a class="el" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96">vx_node</a> node)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">DeInit user kernel or target kernel associated with this node.  <a href="group__group__vx__node.html#gaf7512617962fe1a6c9c7074af841b3d4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__node.html#ga1dd26d7b21e1d3cb9f41a0f1ceebb0d8">ownResetNodePerf</a> (<a class="el" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96">vx_node</a> node)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Reset node performance statistics.  <a href="group__group__vx__node.html#ga1dd26d7b21e1d3cb9f41a0f1ceebb0d8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__node.html#ga49453e6c9fcae493ab78ac21dff6740a">ownUpdateNodePerf</a> (<a class="el" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96">vx_node</a> node)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Called by graph each time after node execution.  <a href="group__group__vx__node.html#ga49453e6c9fcae493ab78ac21dff6740a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__node.html#gace901937a320730ec12cfb7b11b54bbc">ownNodeGetNumParameters</a> (<a class="el" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96">vx_node</a> node)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return number of node parameters.  <a href="group__group__vx__node.html#gace901937a320730ec12cfb7b11b54bbc"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__node.html#ga4df3a9daf021c8890d9c35bf08163120">ownNodeGetParameterDir</a> (<a class="el" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96">vx_node</a> node, uint32_t prm_index)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get direction of a parameter.  <a href="group__group__vx__node.html#ga4df3a9daf021c8890d9c35bf08163120"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3">vx_reference</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__node.html#ga0d67a618d2f2e725209769dc194f087f">ownNodeGetParameterRef</a> (<a class="el" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96">vx_node</a> node, uint32_t prm_index)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get reference associated with a parameters of a parameter.  <a href="group__group__vx__node.html#ga0d67a618d2f2e725209769dc194f087f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__node.html#ga6bfce40df7b58f4ae6788160d00d692e">ownNodeAddOutNode</a> (<a class="el" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96">vx_node</a> node, <a class="el" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96">vx_node</a> out_node)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Associate a output node with a given node.  <a href="group__group__vx__node.html#ga6bfce40df7b58f4ae6788160d00d692e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__node.html#gaf839c478caa89b5f453adfb6663a1aad">ownNodeAddInNode</a> (<a class="el" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96">vx_node</a> node, <a class="el" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96">vx_node</a> out_node)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Associate a input node with a given node.  <a href="group__group__vx__node.html#gaf839c478caa89b5f453adfb6663a1aad"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__node.html#ga305faeb6f15ef6587cde24de5ddf9460">ownNodeGetNumInNodes</a> (<a class="el" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96">vx_node</a> node)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get number of input nodes associated with this node.  <a href="group__group__vx__node.html#ga305faeb6f15ef6587cde24de5ddf9460"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__node.html#ga55dc0ee45815ecf7ce8f546e4fc37cb0">ownNodeGetNumOutNodes</a> (<a class="el" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96">vx_node</a> node)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get number of output nodes associated with this node.  <a href="group__group__vx__node.html#ga55dc0ee45815ecf7ce8f546e4fc37cb0"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__node.html#ga31adaea81c40ecb6d143ff807eb2415a">ownNodeCreateCompletionEvent</a> (<a class="el" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96">vx_node</a> node)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Create a completion event for this node Typically called by graph object for all leaf nodes inorder to wait for graph completion.  <a href="group__group__vx__node.html#ga31adaea81c40ecb6d143ff807eb2415a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__node.html#ga382d6191891a85419d71bb446961de68">ownNodeCreateUserCallbackCommand</a> (<a class="el" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96">vx_node</a> node)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Create resources required to call a user callback If user callback is assigned then nothing is done.  <a href="group__group__vx__node.html#ga382d6191891a85419d71bb446961de68"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a80014c261e13aeff37fcd6b0c9ef0f2c">vx_action</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__node.html#gaf49ad710f2f1015732aad0d2224d0ecb">ownNodeExecuteUserCallback</a> (<a class="el" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96">vx_node</a> node)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Call user specified callback.  <a href="group__group__vx__node.html#gaf49ad710f2f1015732aad0d2224d0ecb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__node.html#ga1fa01cfa84593b156556fae8136b41be">ownNodeSendCompletionEvent</a> (<a class="el" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96">vx_node</a> node)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Send node completion event.  <a href="group__group__vx__node.html#ga1fa01cfa84593b156556fae8136b41be"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__node.html#ga8701f3a86954a5f74abfef6bd3756579">ownNodeClearExecuteState</a> (<a class="el" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96">vx_node</a> node)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">clears execute status of the node  <a href="group__group__vx__node.html#ga8701f3a86954a5f74abfef6bd3756579"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__node.html#ga96573e89e3c09eb1731194312418b921">ownNodeUserKernelExecute</a> (<a class="el" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96">vx_node</a> node)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Execute user kernel.  <a href="group__group__vx__node.html#ga96573e89e3c09eb1731194312418b921"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__node.html#ga5413edaca750961e43f9d819e7fe41e8">ownNodeIsPrmReplicated</a> (<a class="el" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96">vx_node</a> node, uint32_t prm_idx)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Is prm_idx of node replicated.  <a href="group__group__vx__node.html#ga5413edaca750961e43f9d819e7fe41e8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__node.html#ga29df5b8a5db460fe6edc05fb36d9bebf">ownNodeSetParameter</a> (<a class="el" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96">vx_node</a> node, <a class="el" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c">vx_uint32</a> index, <a class="el" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3">vx_reference</a> value)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Set parameter at node.  <a href="group__group__vx__node.html#ga29df5b8a5db460fe6edc05fb36d9bebf"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96">vx_node</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__node.html#gacfbf936539d7c4da2e3e218cbc3d7af6">ownNodeGetNextNode</a> (<a class="el" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96">vx_node</a> node, <a class="el" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c">vx_uint32</a> index)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get next node at given output index.  <a href="group__group__vx__node.html#gacfbf936539d7c4da2e3e218cbc3d7af6"></a><br/></td></tr>
</table>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
